﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Docks.aspx.cs" Inherits="RadDockDragDropTests.Docks" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">   
<head id="Head1" runat="server">   
    <title>Untitled Page</title>  
    <style type="text/css">  
    /* initial state */
    .raddock
    {
    	filter: alpha(opacity=10); /* IE */
    	-moz-opacity: .1;
    	opacity: .1;
    } 
    
    /* hovered state */
    .dockHoverStyle   
    {   
        background-color: gray !important;   
        filter: alpha(opacity=50);
        -moz-opacity: .5;
    	opacity: .5;
    }
 
    .rdTitlebar
    {
        visibility: hidden;
    }
    
    .rdShowTitlebar
    {
        visibility: visible !important;
    }
       
    </style> 
    </head> 
<body>  
    <form id="form1" runat="server">   
    <asp:scriptmanager id="manager1" runat="server">   
    </asp:scriptmanager>  
  
    <script type="text/javascript">   
    
        function SetHandleDock(dock, args) {    
            var dockContent = document.getElementById("Content_" + dock.get_id());   
            
            $addHandler(dock.get_element(),"mouseover", onMouseOverHandler);   
            $addHandler(dock.get_element(),"mouseout", onMouseOutHandler);   
        }  
         
        function onMouseOverHandler()   
        {      
            var dock = $find(this.id);   
            this.className += "dockHoverStyle";  
            
            var defaultHandle = dock.get_handle();   
            defaultHandle.className += "rdShowTitlebar";
  
            var dockProperties = document.getElementById("Properties_" + dock.get_id());   
            var dockContent = document.getElementById("Content_" + dock.get_id());   
            if (dockProperties != null) {   
                dockContent.style.display = "none";   
                dockProperties.style.display = "block";   
            }    
        }  
         
        function onMouseOutHandler()   
        {   
            var dock = $find(this.id);   

            var defaultHandle = dock.get_handle();   
            removeLastCssClass(defaultHandle);
            removeLastCssClass(this);
            
            var dockProperties = document.getElementById("Properties_" + dock.get_id());   
            var dockContent = document.getElementById("Content_" + dock.get_id());   
            if (dockProperties != null) {   
                dockContent.style.display = "block";   
                dockProperties.style.display = "none";   
            }   
        } 
        
        function removeLastCssClass(element)
        {
            var cssClasses = element.className.split(' ');   
            element.className = "";   
            for(var i = 0; i < cssClasses.length - 1; i++)   
            {   
                element.className += cssClasses[i] + ' ';   
            }   
            document.title = this.className;   
        }  
    </script>  
  
    <telerik:raddocklayout id="layout1" runat="server">   
        <table>  
            <tr>  
                <td>  
                    <telerik:RadDockZone id="zone1" runat="server" width="300px" Height="400px">   
                        <telerik:RadDock id="dock1" runat="server" onclientinitialize="SetHandleDock" height="150px" Title="Custom Control">   
                            <contenttemplate>       
                                <div id="Properties_dock1" style="display:none; filter:alpha(opacity=10);">  
                                    Instead of showing content let's show some settings for this control:<br /><br />  
                                    Setting1=1<br />  
                                    Setting2=2<br />  
                                    Setting2=2<br />  
                                </div>  
                                <div id="Content_dock1">   
                                    <b>Custom Control</b><br />  
                                    Sample custom control output html or maybe even the actual output that reflects the settings above   
                                </div>  
                            </contenttemplate>  
                        </telerik:RadDock>  
                        <telerik:RadDock id="dock2" runat="server" onclientinitialize="SetHandleDock" height="100px" Title="Generic Content">     
                        <contenttemplate>  
                                <div id="Content_dock2" >  
                                    <b>Generic Content</b><br />  
                                    <br />  
                                    dggju dfsyh rt et j yk r earg y tyj erg qer grt hyt tu r tgqer ger t hrt gqer ge r th rg qerg erg rtj yt rt hrt ve g   
                                </div>  
                        </contenttemplate>    
                        </telerik:RadDock>  
                    </telerik:RadDockZone>  
                </td>  
                <td>  
                    <telerik:RadDockZone id="RadDockZone1" runat="server" width="300px" Height="400px">   
                    </telerik:RadDockZone>  
                </td>  
                <td>  
                    <telerik:RadDockZone id="RadDockZone2" runat="server" width="300px" Height="400px">   
                    </telerik:RadDockZone>  
                </td>  
            </tr>  
        </table>  
    </telerik:raddocklayout>  
    </form>  
</body>  
</html>  

